import { geoEqualEarth, geoPath } from 'd3';
import React, { Component, useMemo } from 'react';
const w = 960;
const h = 500;
const projection = geoEqualEarth().scale(40000).center([0.7,51.2]).translate([325,225]);

 
const path = geoPath(projection);
export const MapDrawing = ({mapData}) => (
  useMemo(()=>(
   <g className="marks">
      {mapData.features.map(feature => (
     <path className="land" d={path(feature)} />
    ))}
      
   
  </g>),[mapData,path])
);




