import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/Bizmundo/6217aa9331f15c6d92ce6bb2797f18a9/raw/58856337afb281133e2103f921014b2f71f8176b/ukCounties.json';

export const useData = () => {
  const [data, setData] = useState(null);
  

  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
     //const { countries } = topojsonData;
     // const { counties } = topojsonData.objects.GBR_adm2.geometries;
     // setData(feature(topojsonData, topojsonData.objects.GBR_adm2));
      setData(feature(topojsonData, topojsonData.objects.GBR_adm2));
     // setData( topojsonData);
    });
  }, []);

  return data;
};
